# substring

substring($sourceString as xs:string?, $start as xs:double) → xs:string

Returns a substring of a given string starting at the given starting position and continuing to the end of the string

Arguments
| $sourceString | xs:string? | The input string
| $start | xs:double | The position of the first character of the input string to be included in the result
Result | xs:string

substring($sourceString as xs:string?, $start as xs:double, $length as xs:double) → xs:string

Returns a substring of a given string starting at the given starting position and continuing to the end of the string, or `$length` characters if shorter.

Arguments
| $sourceString | xs:string? | The input string
| $start | xs:double | The position of the first character of the input string to be included in the result
| $length | xs:double | The number of characters to be included in the result
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next